<template>
  <require from="./components/order-table/order-table"></require>
  <require from="./components/categories/categories-list"></require>
  <require from="./components/items/items-list"></require>
  <require from="./order-selection-layout.scss"></require>

  <nav class="breadcrumb is-primary" aria-label="breadcrumbs">
    <ul>
      <li><a href="#">Home</a></li>
      <li class="is-active"><a href="#">Order selection</a></li>
    </ul>
  </nav>

  <!-- first level columns wrapper -->
  <div class="columns is-variable bd-klmn-columns is-3">
    <div class="column hero-column">
      <section class="hero is-primary">
        <div class="hero-body">
          <div class="title-container">
            <h1 class="title">
              Make your selection...
            </h1>
          </div>
        </div>
      </section>
    </div>
  </div>

  <div class="main-content-wrapper">
    <!-- second level columns wrapper-->
    <div class="columns is-variable is-centered is-mobile bd-klmn-columns is-3">
      <!-- categories column -->
      <div class="column is-one-quarter">
        <div class="cat-section-wrapper">
          <h3>Categories</h3>
          <categories-list categories.bind="categories"></categories-list>
        </div>
      </div>
      <!-- menu column -->
      <div class="column is-one-half">
        <div class="item-section-wrapper">
          <h3>Menu</h3>
          <items-list filtereditems.bind="filtereditems"></items-list>
        </div>
      </div>

      <!-- order column-->
      <div class="column is-one-third">
        <div class="basket-section-wrapper">
          <order-table></order-table>
        </div>
      </div>
    </div>
  </div>
</template>
